## base-config 2.53.10.2-0.0.0.1.pure64

=== po/Makefile ===
POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)
EXECUTABLES=$(shell find .. -perm +1 -type f)

all: transition-copies base-config.pot $(MOFILES)

transition-copies: no.mo
# Make sure no.po and nb.po are identical, while we change the install
# base to use nb_NO instead of no_NO.  Only nb.po should be
# translated, but no.mo should be installed. [pere 2003-12-20]
no.po: nb.po
	cp nb.po no.po

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/base-config.mo; \
	done

base-config.pot: $(EXECUTABLES)
	@echo "Rebuilding the pot file"
	rm -f base-config.pot tmp.*.pot
	cnt=0;								\
	for file in $(EXECUTABLES); do			\
		cnt=$$(expr $$cnt + 1);					\
		bn=$$cnt.`basename $$file`;					\
		if head -n 1 $$file | grep -q bin/sh ; then		\
			xgettext -c -L Shell -o tmp.$$bn.pot $$file;	\
		elif head -n 1 $$file | grep -q perl ; then		\
			xgettext -c -L C -o tmp.$$bn.pot $$file;	\
		fi;							\
	done
	msgcat tmp.*.pot > base-config.pot
	rm -f tmp.*.pot

clean:
	rm -f $(MOFILES) messages messages.mo
	rm -f no.po # norwegian bokmal transition copy

%.mo: %.po
	msgfmt -o $@ $<

%.po: base-config.pot
	@echo -n "Merging base-config.pot and $@"
	@msgmerge $@ base-config.pot -o $@.new
# Typically all that changes was a date. I'd prefer not to commit such
# changes, so detect and ignore them.
	@if [ "`diff $@ $@.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

## base-config 0.33.2

=== debian/changelog ===
base-config (0.33.2) stable; urgency=low

  * Corrected stupid typo in templates file, Closes: #74785, #74815, #74828
  * This problem makes it impossible to install the package, so it is
    important and must go in.

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Oct 2000 13:57:48 -0700

base-config (0.33.1) stable; urgency=low

  * Merged in changes from unstable version 0.38, which has had 2 weeks of
    (light testing). The boot-floppies team thinks these need to go into
    the next point release of stable. The change is:
    - Added code to the end of apt-setup to see if security.debian.org
      entries are missing from sources.list, and if so, prompt about adding
      them. Closes: #72845

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Oct 2000 10:22:27 -0400

base-config (0.33) stable; urgency=low

  * Freshened Mirrors.masterlist to fix swedish mirror data, Closes: #66755
  * Changed stage5 check to only prompt about logging in if
    /root/dbootstrap_settings exists. Closes: #67358
  * Added Japanese translation from Akira YOSHIYAMA <yosshy@debian.or.jp>.
  * Branched for stable.
  * I held off on this release since it couldn't get into potato anyway
    during test cycle 3. IMHO, this could be slipped into stable
    in a point release. Perhaps.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Jun 2000 11:52:54 -0700

base-config (0.32) frozen unstable; urgency=low

  * If anXious is run, apt-get's prompt hangs the install, and you cannot
    type data into it. Very very odd. To fix, run reset before calling apt.
    Closes: #65722 (wordaround; I think the real bug is in anXious).
    RC bug; made some installs very difficult to complete.
  * Wording changes about non-free and contrib.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jun 2000 14:24:56 -0700

base-config (0.31) frozen unstable; urgency=low

  * Also set up md5 password stuff in /etc/pam.d/passwd. This fixes the
    following bug: You install Debian and enable md5 passwords. A month later,
    your password exipres, and you find that you cannot change it, because
    login doesn't grok md5 passwords. Whether this is RC or not, I leave up
    to dark; my opinions is it's a pretty bad sleeper bug. Closes: #64575
  * In apt setup, don't refer to the last item on a list; the dialog frontend
    may order it to the top if it is default. Closes: #64567
  * Added French translation by Vincent.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 May 2000 19:25:00 -0700

base-config (0.30) frozen unstable; urgency=low

  * Fixed a stupid typo that made it impossible to use apt-setup to set up
    local mirror. Closes: #64462 (important)

 -- Joey Hess <joeyh@debian.org>  Sun, 21 May 2000 15:18:07 -0700

base-config (0.29) frozen unstable; urgency=low

  * Fixed hang when installing via ppp. Closes: #64167
    This is a RC bug; it was impossible to finish the installation via ppp
    without this bug fix.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 May 2000 13:31:44 -0700

base-config (0.28) frozen unstable; urgency=low

  * Fixed postinst to call anXious rather than xviddetect (randolph),
    I think the boot-floppies people consider this RC, since it makes new
    installs actually have niceties like a window manager and xterm when
    they start X. cf, bug #63114
  * Fixed problem with wrong error message being shown if an empty user
    password was entered, and only prompt for user password repeat at high,
    not critical priority. Closes: #64163
  # Added German translation from Othmar Pasteka <pasteka@kabsi.at>.
  * Added Polish translation from Marcin Owsiany
    <porridge@pandora.info.bielsko.pl>.
  * Added Italian translation from Eugenia Franzoni <franzoni@edisons.it>
    Closes: #64162
  * All right, I give up. Added text to initial root password prompt saying
    that it will not echo what you type, to reassure all the weird people
    out there who expect to see some kind of _infomation leaking echo_ when
    they enter the _root password for their system_. Gaaaaaaaaaaagh!
    Closes: #60444 and probably #63778
  * HTTP_PROXY value now filters down from dbootstrap, and ends up as the
    default apt-setup's proxy prompt.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 May 2000 18:29:30 -0700

base-config (0.27) frozen unstable; urgency=low

  * If the user specifies that md5 passwords should be used, actually use
    them when setting passwords. This was not being done because chpasswd
    doesn't know how. Now I pass it an already crypted password. I think this
    is important enough to go into potato because it tends to be a security
    problem. base-config claims to be using md5 passwords; to not do so
    gives the user a false sense of security. Closes: #62452
  * Tweaked message about VT switching so it will make sense to mac folks.
    Closes: #62829
  * Just refer to "Debian", rather than "Debian GNU/Linux" or "Debian
    Linux" in several places. Closes: #62544
  * Pcmcia purging has been fixed for quite some time, Closes: #58150
  * Display notes if entered passwords don't match or are empty, or if the
    entered username is invalid. Closes: #61372
  * Fixed bad directory error message, Closes: #61989

 -- Joey Hess <joeyh@debian.org>  Wed, 26 Apr 2000 15:01:57 -0700

base-config (0.26) frozen unstable; urgency=low

  * There are critical path fixes below -- bugs that will affect nearly all
    new debian (CD) installs, and would require nasty hacking to work around.
    Since that would make debian basically unistallable by some classes of
    users, this needs to get into frozen.
  * Finally got a chance to test all the cd stuff, using 2 potato cd's, a
    random non-debian cd, and a blank un-burned cd. Fixed the following
    bugs:
    - After successfully scanning cds, prompt the user if they want to
      add another access method or not, instead of looping back to main
      menu. Closes: #58531, #61953
    - Don't exit apt-setup if scanning a second or later cd and a bad cd is
      inserted.


=== debian/control ===
Source: base-config
Section: admin
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper
Standards-Version: 3.2.1.0

Package: base-config
Architecture: any
Depends: debconf, apt
Conflicts: debconf (<< 0.2.79), debconf-tiny (<< 0.2.79), tasksel (<< 1.0-7)
Replaces: debconf (<< 0.2.79), debconf-tiny (<< 0.2.79)
Suggests: tasksel
Description: Debian base configuration package
 This package handles setting up the Debian base system. It contains the
 questions you see when you install Debian for the first time and boot up
 your new Debian system.
 .
 It can be removed with no ill effects -- now that your Debian system is
 installed, this package's only useful function is to allow you to
 reconfigure some of the things it asked you about earlier.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: checklock.c
	cc -O2 -Wall checklock.c -o checklock
	
	# Freshen Mirrors.masterlist file, but allow failure.
	if cvs -d":pserver:anonymous@cvs.debian.org:/cvs/webwml" \
	   co -p webwml/english/mirror/Mirrors.masterlist > Mirrors.masterlist.0 \
	   && [ -s "Mirrors.masterlist.0" ]; then \
		mv -f Mirrors.masterlist.0 Mirrors.masterlist > /dev/null 2>&1; \
	fi

clean:
	dh_testdir
	dh_testroot
	dh_clean checklock

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/share/base-config usr/share/debconf/templates \
		usr/sbin usr/lib/base-config
	install apt-setup debian/tmp/usr/sbin/
	install -s checklock debian/tmp/usr/lib/base-config/
	cp apt-setup.templates debian/tmp/usr/share/debconf/templates/
	cp Mirrors.masterlist debian/tmp/usr/share/base-config/
	install stage* debian/tmp/usr/share/base-config/

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf
	# Hack!
	echo >> debian/tmp/DEBIAN/templates
	cat apt-setup.templates >> debian/tmp/DEBIAN/templates
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## base-config 1.33.18

=== debian/changelog ===
base-config (1.33.18) unstable; urgency=high

  * Rebuilt with woody's base-config so the merged templates file won't be
    missing entries; fixes infinite loop in intial base-config,
    Closes: #145434 (RC).
  * Verified by hand that the resulting file is not missing anything.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 May 2002 15:01:05 -0400

base-config (1.33.17) unstable; urgency=high

  * Argh, I got the suite breakage fix exactly backwards! Closes: #144479

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Apr 2002 12:58:27 -0400

base-config (1.33.16) unstable; urgency=HIGH

  * Upload to fix breakage in boot-floppies 3.0.22. If boot-floppies tells
    us "testing" is being installed, change it to woody, so users will not
    find themselves unexpectedly using testing after they install woody,
    after debian 3.0 is released.
  * Updated pt_BR translation. Closes: #141557

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Apr 2002 11:57:39 -0500

base-config (1.33.14) unstable; urgency=low

  * Updated pt_BR, sv, ca translations of tzsetup.templates.
    Closes: #135580
  * Added some lintian overrides.

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Feb 2002 22:37:30 -0500

base-config (1.33.13) unstable; urgency=medium
  
  * Changed last tzsetup question to allow allow backing up. This
    renders translations invalid, sigh.
  * Corrected order templates are given to debconf-mergetemplate,
    thus de-busting that last question. That's why this is medium.
  * Removed tzsetup.templates.ru, too old to live.
  * Updated Swedish translation from Andr Dahlqvist
    <andre.dahlqvist@telia.com>. 
  * Updated Catalan translation from Jordi Mallach <jordi@debian.org>.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Feb 2002 23:26:59 -0500

base-config (1.33.12) unstable; urgency=low

  * Updated French translation from Denis Barbier <barbier@debian.org>,
    Closes: #132382
  * Set LANG=C when calling date in tzsetup: Closes: #131473
  * Moved "enter information manually" to the top of the country list so it's
    not hidden at the bottom. In the dialog frontend (commonest case), this
    will make the default country appear above it, and all others under it. In
    other frontends it will work differently, and some may even hide it at the
    _top_ of the list, when they highlight the default near the end. Still,
    best I can do, Closes: #130343

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Jan 2002 20:16:10 -0500

base-config (1.33.10) unstable; urgency=low

  * A few typo fixes from Matt Kraai, Closes: #129712

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Jan 2002 20:22:10 -0500

base-config (1.33.9) unstable; urgency=low

  * Removed the LANGUAGE stuff; LANGUAGE is not the correct variable for LANG.
    Instead, export LANG if it's set after sourcing debootstrap_settings.
    This will make it available to everything run by base-config.
    Closes: #128040
  * Completed and updated Spanish translation. (Next time, *please* send me
    seperate templates files for apt-setup, and tzsetup.) Closes: #127859

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Jan 2002 00:32:21 -0500

base-config (1.33.8) unstable; urgency=low

  * I'm _really_ not sure if this belongs in testing or not. Probably not.
  * Don't ask about emoving pcmcia if pcmcia-cs is not installed. Thanks to
    Matt Krai. Closes: #125831 Note that some arch's don't have pcmcia at all,
    so this is a nice feature.
  * Also don't bother asking about that if it's not a new install.
  * Have script log timing data as well. This makes it possible to play
    back a whole base-config run in real-time. Closes: #121286
    There's also a replaylog hack in the source package that replays one
    screen-worth at a time, which is sometimes more useful.
  * Typo, Closes: #126219

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Dec 2001 13:13:52 -0500

base-config (1.33.7) woody-proposed-updates unstable; urgency=low

  * Uploading to w-p-u since the base-config in testing does not offer the
    user a chance to set up ppp if they want to do an install with ppp. I
    figure ppp installs are sorta important. (This also has a fix for pcmcia
    removal.)

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Dec 2001 23:12:24 -0500

base-config (1.33.6) unstable; urgency=HIGH

  * Remove pcmcia if PCMCIA is set to no, or is unset. Turns out dbootstrap
    does not bother to set it if it's not used.

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Dec 2001 00:04:01 -0500

base-config (1.33.5) unstable; urgency=HIGH

  * Work with the version of ppp in testing as well as the one in unstable
    (sigh).

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Dec 2001 16:06:56 -0500

base-config (1.33.4) unstable; urgency=HIGH

  * Set up ppp even if /etc/ppp/peers/provider exists, if it is a template.
    This is probably RC if we want ppp installs to work, thus the severity.
  * Source dbootstrap_settings and set LANG to the installation language
    (no effect if language_chooser is not enabled in the boot floppies).
  * Various pt_BR fixups, Closes: #122004, #122008, #122010

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Dec 2001 22:04:37 -0500

base-config (1.33.3) unstable; urgency=low

  * Danish translation fixes from Claus Hindsgaul <claus_h@image.dk> 

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Nov 2001 22:29:52 -0500

base-config (1.33.2) unstable; urgency=low

  * Fixed a typo in the termwrap man page, Closes: #120609
  * Added pt_BR man pages from Andre Luis Lopes <andrelop@ig.com.br>
    Closes: #121136

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Nov 2001 20:47:00 -0500

base-config (1.33) unstable; urgency=low

  * base-config.8: Documented (most) of the environment variables that effect
    the program.
  * 00debootstrap_settings: If DEBIAN_PRIORITY is set, ignore the value from
    debootstrap_settings. This allows overriding of the priority at the boot
    prompt in the middle of a debian install, which is pretty neat.
  * base-config: Added a KEEP_BASE_DEBS, which, if set to yes, will inhibit


=== debian/control ===
Source: base-config
Section: base
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends-Indep: debhelper (>= 3.0.47), debconf-utils
Standards-Version: 3.5.6.1

Package: base-config
Architecture: all
Depends: debconf (>= 0.9.64), apt, adduser, console-data (>= 1999.08.29-13), passwd (>= 20000902-6), tasksel (>= 1.0-7), bsdutils (>= 2.11l)
Conflicts: debconf (<< 0.2.79), debconf-tiny (<< 0.2.79)
Replaces: debconf (<< 0.2.79), debconf-tiny (<< 0.2.79)
Description: Debian base configuration package
 This package handles setting up the Debian base system. It contains the
 questions you see when you install Debian for the first time and boot up
 your new Debian system.
 .
 It can be removed with no ill effects -- now that your Debian system is
 installed, this package's only useful function is to allow you to
 reconfigure some of the things it asked you about earlier.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

CVSGET=cvs -d":pserver:anonymous@cvs.debian.org:/cvs/webwml" \
	co -p webwml/english/mirror/Mirrors.masterlist

build:
	# Freshen Mirrors.masterlist file, but allow failure.
	if $(CVSGET) > Mirrors.masterlist.0 \
	   && [ -s "Mirrors.masterlist.0" ]; then \
		mv -f Mirrors.masterlist.0 Mirrors.masterlist > /dev/null 2>&1; \
	fi

clean:
	dh_testdir
	dh_testroot
	dh_clean
	if [ ! -s "Mirrors.masterlist" ]; then \
		$(CVSGET) > Mirrors.masterlist; \
	fi

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/share/base-config usr/sbin usr/lib/base-config \
		usr/share/lintian/overrides
	cp debian/override debian/base-config/usr/share/lintian/overrides/base-config
	install apt-setup tzsetup base-config termwrap debian/base-config/usr/sbin/
	install lib/[0-9]* debian/base-config/usr/lib/base-config/
	cp Mirrors.masterlist debian/base-config/usr/share/base-config/

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	# Merge in all templates.
	debconf-mergetemplate \
		debian/templates.* debian/templates \
		apt-setup.templates.* apt-setup.templates \
		tzsetup.templates.* tzsetup.templates \
		> debian/base-config/DEBIAN/templates
	dh_installdocs
	dh_installman *.8
	dh_installinfo
	dh_installchangelogs
	dh_installlogrotate
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## base-config 2.44ubuntu28

=== debian/changelog ===
base-config (2.44ubuntu28) warty; urgency=low

  * Copy archive-copier-cached Desktop packages from
    /var/cache/archive-copier/desktop.
  * After package installation, copy Ship packages from
    /var/cache/archive-copier/ship.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 19 Oct 2004 00:54:43 +0100

base-config (2.44ubuntu27) warty; urgency=low

  * Add initial user to /etc/aliases.  Closes: Warty#1711, Warty#1123

 -- LaMont Jones <lamont@canonical.com>  Fri, 15 Oct 2004 19:10:11 -0600

base-config (2.44ubuntu26) warty; urgency=low

  * Add a note to base-config/intro that the root account will be disabled
    by default, and that sudo will be configured. (I'm adding this here
    rather than in passwd because it's base-config that does the sudo
    configuration, and the text would otherwise look strange when
    reconfiguring passwd.)

 -- Colin Watson <cjwatson@canonical.com>  Mon, 11 Oct 2004 22:09:58 +0100

base-config (2.44ubuntu25) warty; urgency=low

  * Backport from Debian (closes: Ubuntu #2195):
    - lib/menu/finish: Fix "/etc/environmment" typos.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  9 Oct 2004 13:55:03 +0100

base-config (2.44ubuntu24) warty; urgency=low

  * Raise the priority of tzconfig/gmt back to high, but don't ask it if
    prebaseconfig reported that we're the only operating system installed.

 -- Colin Watson <cjwatson@canonical.com>  Mon,  4 Oct 2004 16:57:56 +0100

base-config (2.44ubuntu23) warty; urgency=low

  * Add system group scanner.
  * Add default user to group scanner. (Closes: #1485)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 29 Sep 2004 07:53:13 +0200

base-config (2.44ubuntu22) warty; urgency=low

  * When running base-config without 'new', drop into aptitude rather than
    automatically installing the ubuntu-desktop task (closes: Ubuntu #1677).
  * Make warning about unsupportedness of 'universe' in
    /etc/apt/sources.list scarier (closes: Ubuntu #1564).
  * Remove 'main restricted' from the universe line, so people don't end up
    with duplicate sources.list entries.
  * Honour answer to apt-setup/universe question.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 27 Sep 2004 18:58:52 +0100

base-config (2.44ubuntu21) warty; urgency=low

  * Drop ppp configuration question priority to medium.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 22 Sep 2004 19:20:26 +0100

base-config (2.44ubuntu20) warty; urgency=low

  * Remove "at the login: prompt" from the base-config/login text.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 16 Sep 2004 14:41:51 +0100

base-config (2.44ubuntu19) warty; urgency=low

  * Ask about downloading network updates. Make sure to ask only one
    question for both archive.ubuntu.com and security.ubuntu.com.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 15 Sep 2004 07:13:21 +0100

base-config (2.44ubuntu18) warty; urgency=low

  * Move from ftp.no-name-yet.com to archive.ubuntu.com and from
    security.no-name-yet.com to security.ubuntu.com.
  * Update the Origin: expected from Ubuntu release files.
  * Drop Maintainer: line from Mirrors.masterlist.ubuntu. It's not really
    needed for the master site.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 20:56:30 +0100

base-config (2.44ubuntu17) warty; urgency=low

  * Change default to true for restricted in apt-setup.templates.
  * Add security/restricted only when selected.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 09 Sep 2004 16:01:33 +0200

base-config (2.44ubuntu16) warty; urgency=low

  * Fix hostname on cdrom installation.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 09 Sep 2004 14:54:25 +0200

base-config (2.44ubuntu15) warty; urgency=low

  * Automatically comment or uncomment http apt-lines if network
    is available.
  * Add check for deb-src before adding them. (Including security)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 09 Sep 2004 09:00:00 +0200

base-config (2.44ubuntu14) warty; urgency=low

  * Remove timestamp_timeout=0 in sudoers.

 -- LaMont Jones <lamont@mmjgroup.com>  Wed,  8 Sep 2004 14:10:34 -0600

base-config (2.44ubuntu13) warty; urgency=low

  * Add security.no-name-yet.com to sources.list.
  * Do not add suggested apt-lines more than once.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 08 Sep 2004 16:38:52 +0200

base-config (2.44ubuntu12) warty; urgency=low

  * Add missing / when generating apt lines on cdrom install. (Closes: #1094)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 08 Sep 2004 06:38:19 +0200

base-config (2.44ubuntu11) warty; urgency=low

  * Make sure to quote $TMPFILE in apt-setup, since it isn't always set.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  7 Sep 2004 19:06:16 +0100

base-config (2.44ubuntu10) warty; urgency=low

  * If /etc/apt/sources.list already contains a cdrom: URI on a new
    base-config run (i.e. archive-copier ran 'apt-cdrom add'), then leave it
    there and skip all CD probing.
  * Remove some useless use of 'cat'.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  7 Sep 2004 19:00:02 +0100

base-config (2.44ubuntu9) warty; urgency=low

  * Use apt-setup/non-free for restricted and unfuzz a bunch of
    translations.
  * Add apt-setup/universe template.
  * Add commented apt lines according to the installation method
    to reflect updates, restricted and universe.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Tue, 07 Sep 2004 08:55:37 +0200

base-config (2.44ubuntu8) warty; urgency=low

  * Copy packages from /var/cache/archive-copier to /var/cache/apt/archives
    just before package selection. This arrangement means we can clean out
    the cache of base packages without affecting everything else.

 -- Colin Watson <cjwatson@canonical.com>  Fri,  3 Sep 2004 22:37:50 +0100

base-config (2.44ubuntu7) warty; urgency=low

  * Remove MTA configuration step. Our postfix defaults to no configuration
    at high priority anyway.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  2 Sep 2004 16:12:54 +0100



=== debian/control ===
Source: base-config
Section: base
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 4.1.13), po-debconf, gettext (>= 0.13)
Standards-Version: 3.6.1.0

Package: base-config
Architecture: all
Depends: debconf (>= 1.3.22), apt, adduser, console-data (>= 2002.12.04dbs-16), console-tools, passwd (>= 20000902-6), bsdutils (>= 1:2.11l), debianutils (>= 1.6), gettext-base
Conflicts: tasksel (<< 2.00)
Description: Debian base system configurator
 This package handles setting up the Debian base system. It contains the
 configuration program you see when you install Debian for the first time
 and boot up your new Debian system.
 .
 It can be removed with no ill effects -- once your Debian system is
 installed, this package's only useful function is to allow you to
 reconfigure some things.

=== debian/rules ===
#!/usr/bin/make -f

CVSGET=cvs -d":pserver:anonymous@cvs.debian.org:/cvs/webwml" \
	co -p webwml/english/mirror/Mirrors.masterlist

build:
	# Freshen Mirrors.masterlist file, but allow failure.
	#if [ "$$ONLINE" != n ]; then \
	#	if $(CVSGET) > Mirrors.masterlist.new \
	#	   && [ -s "Mirrors.masterlist.new" ]; then \
	#		mv -f Mirrors.masterlist.new Mirrors.masterlist; \
	#	else \
	#		rm -f Mirrors.masterlist.new; \
	#	fi; \
	#fi

	$(MAKE) -C po

clean:
	dh_testdir
	dh_testroot
	dh_clean
	make -C po clean
	#if [ ! -s "Mirrors.masterlist" ]; then \
	#	$(CVSGET) > Mirrors.masterlist; \
	#fi

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/share/lintian/overrides
	cp debian/lintian-override debian/base-config/usr/share/lintian/overrides/base-config
	dh_install apt-setup tzsetup base-config termwrap validlocale usr/sbin/
	dh_install lib/* usr/lib/base-config/
	cp Mirrors.masterlist.ubuntu debian/base-config/usr/lib/base-config/Mirrors.masterlist
	make -C po install prefix=`pwd`/debian/base-config

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf

	# Merge in all templates.
	echo >> debian/base-config/DEBIAN/templates
	po2debconf --podir=debian/po apt-setup.templates >> debian/base-config/DEBIAN/templates
	echo >> debian/base-config/DEBIAN/templates
	po2debconf --podir=debian/po tzsetup.templates >> debian/base-config/DEBIAN/templates

	dh_installdocs
	dh_installman *.8
	dh_installinfo
	dh_installchangelogs
	dh_installlogrotate
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## base-config 2.53.10.2-0.0.0.1.pure64

=== debian/changelog ===
base-config (2.53.10.2-0.0.0.1.pure64) stable; urgency=low

  * Replace the Mirrors.masterlist with one for amd64.

 -- dann frazier <dannf@debian.org>  Fri, 03 Nov 2006 16:56:21 -0700

base-config (2.53.10.2) stable; urgency=low

  * Rebuilt in a sarge chroot since it generates incorrect debconf templates
    if built in sid. Closes: #372734

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Jun 2006 14:23:35 -0400

base-config (2.53.10.1) stable; urgency=high

  * Add permission fixing code to base-config to deal with data leakage in
    d-i and base-config log files. chmod all possibly affected log files 600.
  * Disable Mirrors.masterlist downloading for stable build.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Mar 2006 16:02:28 -0500

base-config (2.53.10) testing; urgency=low

  * Christian Perrier
    - Fix substitution variable in nb debconf translation 
      the right way

 -- Joey Hess <joeyh@debian.org>  Sun, 15 May 2005 14:56:13 -0400

base-config (2.53.9) testing; urgency=low

  * Joey Hess
    - Fix substitution variable in nb debconf translation. (#308183)
  * Debconf translations
    - Albanian updated from the sarge branch
    - Fix variable substitution errors in cy, fi, hu, ru, sl
      Closes: #308278
  * Christian Perrier
    - man pages typos corrected in validlocale.8. Closes: #302738
    - man pages typos corrected in tzsetup.8. Closes: #302737

 -- Joey Hess <joeyh@debian.org>  Fri, 13 May 2005 11:35:58 -0400

base-config (2.53.8) testing-proposed-updates; urgency=low

  * Translations
    - Hebrew translation update (debconf)
  * Joey Hess
    - Rather than ignoring signals in new install, which propigates out to
      child processes such as exim and causes problems, just stty intr ""
      to block ctrl-c from restarting base-config. Left QUIT (^\) at the
      default for power users/the foolish. Of the other previous blocked
      signals, it's probably best it notice HUP, and I don't see any reason
      to block TERM. Closes: #301988
    - Added an echo to the cleanup function for aestetics.
  * Colin Watson
    - apt 0.6.35 changed the capitalisation of 'Normal Packages:'. Cope with
      this.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Mar 2005 13:50:37 -0500

base-config (2.53.7) testing-proposed-updates; urgency=medium

  * Joey Hess
    - Sideport TMPDIR fix from head for rc bug #295687.
  * Translations
    - Galician translation update (debconf and programs)

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Feb 2005 11:47:19 -0500

base-config (2.53.6) testing-proposed-updates; urgency=low

  * Joey Hess
    - Patch from tbm to unset LC_ALL temporarily in termwrap around terminal
      detection code as it overrides LC_COLLATE and breaks serial console
      detection. This is the conservative version, since LC_ALL is re-set
      afterwards. Closes: #266744
  * Otavio Salvador
    - When changes the menu copy again from library directory to allow new
      menu itens. Ported from trunk.
  * Translations
    - Bosnian templates translation update by Safir Sacerovic
    - French translation update

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Feb 2005 19:54:41 -0500

base-config (2.53.5) testing-proposed-updates; urgency=low

  * Christian Perrirer:
    - Fix missing required comma in Welsh translation. Closes: #282632
    - Correct encoding of the Polish translation
  * Joey Hess 
    - Add first user to plugdev group so pmount in gnome will work.
      However, this won't actually do anything until the pmount
      group exists as a static group created by base-passwd.
      See bug #283233
  * Translations
    - Albanian updated

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Dec 2004 17:23:20 -0500

base-config (2.53.4) testing-proposed-updates; urgency=low

  * Move HOME setting code from menu/shell to base-config proper, to avoid
    things like /.aptitude being created during initial install, when HOME is
    not set.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Nov 2004 11:50:36 -0500

base-config (2.53.3) testing-proposed-updates; urgency=low

  * Only read d-i database on new install. Closes: #274609
  * Translations:
    - Updated Czech

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Nov 2004 13:35:56 -0500

base-config (2.53.2) testing-proposed-updates; urgency=low

  * Sideport question template fix from unstable to fix #279590

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Nov 2004 13:41:01 -0500

base-config (2.53.1) testing-proposed-updates; urgency=low

  * Sideport apt-setup and tzsetup seen flag fixing problems from unstable,
    to fix #278566
  * Large version number bump is for postinst version compare code.
  * Updated Spanish man pages from Ruben.
  * Translations
    - Fixed by Christian Perrier.

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Nov 2004 11:00:13 -0500

base-config (2.40.8) testing-proposed-updates; urgency=low

  * Modified prep-menu to strip doubled whitespace to work around #189026.
    Closes: #278276 (loops during Albanian installs).

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Oct 2004 16:13:08 -0500

base-config (2.40.7) testing-proposed-updates; urgency=low

  * Translations
    - Albanian (po/sq.po) updated by Elian Myftiu
    - Hebrew (po/he.po and debian/po/he.po) update by Lior Kaplan
    - Macedonian (po/mk.po and debian/po/mk.po) added by Georgi Stanojevski
  * Otavio Salvador
    - Dereference when copy script to temp directory. It solve problems
      with symbolic links as menu.
  * Joey Hess
    - Fix running of base-config/early_command.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Oct 2004 02:19:09 -0400

base-config (2.40.6) testing-proposed-updates; urgency=low

  * Joey Hess
    - Merge markos's greek jbbterm disable patch, since since
      console-tools is perfectly capable of displaying UTF-8
      Greek text.
    - Merge Otavio's pt_BR lat1-16 patch.
    - Merge finish menu item title setting fix.
  * Translations
    - Hebrew update by Lior Kaplan

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Oct 2004 15:10:27 -0400



=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,18 @@
 
 CVSGET=cvs -d":pserver:anonymous@cvs.debian.org:/cvs/webwml" \
 	co -p webwml/english/mirror/Mirrors.masterlist
+ONLINE=n
 
 build:
 	# Freshen Mirrors.masterlist file, but allow failure.
-	#if [ "$$ONLINE" != n ]; then \
-	#	if $(CVSGET) > Mirrors.masterlist.new \
-	#	   && [ -s "Mirrors.masterlist.new" ]; then \
-	#		mv -f Mirrors.masterlist.new Mirrors.masterlist; \
-	#	else \
-	#		rm -f Mirrors.masterlist.new; \
-	#	fi; \
-	#fi
+	if [ "$$ONLINE" != n ]; then \
+		if $(CVSGET) > Mirrors.masterlist.new \
+		   && [ -s "Mirrors.masterlist.new" ]; then \
+			mv -f Mirrors.masterlist.new Mirrors.masterlist; \
+		else \
+			rm -f Mirrors.masterlist.new; \
+		fi; \
+	fi
 
 	$(MAKE) -C po
 
@@ -21,9 +22,9 @@
 	dh_testroot
 	dh_clean
 	make -C po clean
-	#if [ ! -s "Mirrors.masterlist" ]; then \
-	#	$(CVSGET) > Mirrors.masterlist; \
-	#fi
+	if [ ! -s "Mirrors.masterlist" ]; then \
+		$(CVSGET) > Mirrors.masterlist; \
+	fi
 
 install: build
 	dh_testdir
@@ -32,8 +33,8 @@
 	dh_installdirs usr/share/lintian/overrides
 	cp debian/lintian-override debian/base-config/usr/share/lintian/overrides/base-config
 	dh_install apt-setup tzsetup base-config termwrap validlocale usr/sbin/
+	dh_install Mirrors.masterlist usr/lib/base-config/
 	dh_install lib/* usr/lib/base-config/
-	cp Mirrors.masterlist.ubuntu debian/base-config/usr/lib/base-config/Mirrors.masterlist
 	make -C po install prefix=`pwd`/debian/base-config
 
 # Build architecture-dependent files here.

## base-config 2.53.10.3

=== debian/changelog ===
base-config (2.53.10.3) oldstable; urgency=low

  * Add support for installing oldstable.
  * Update mirror list.
  * Update translations with thanks to translators.
  * Add myself to uploaders.

 -- Frans Pop <fjp@debian.org>  Thu, 30 May 2007 01:11:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: base
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.1.13), po-debconf, gettext (>= 0.13)
 Standards-Version: 3.6.1.0

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 CVSGET=cvs -d":pserver:anonymous@cvs.debian.org:/cvs/webwml" \
 	co -p webwml/english/mirror/Mirrors.masterlist
-ONLINE=n
 
 build:
 	# Freshen Mirrors.masterlist file, but allow failure.

## base-config 2.62ubuntu24

=== debian/changelog ===
base-config (2.62ubuntu24) hoary; urgency=low

  * Update Danish translation (thanks, Frederik Dannemare).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  6 Apr 2005 01:18:55 +0100

base-config (2.62ubuntu23) hoary; urgency=low

  * --ignore-time-conflict for lib/menu/pkgsel as well.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 19:33:00 +0100

base-config (2.62ubuntu22) hoary; urgency=low

  * Make apt-get and apt-cdrom use gpgv --ignore-time-conflict to avoid
    validation errors due to clock problems (Ubuntu #8496).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 19:26:34 +0100

base-config (2.62ubuntu21) hoary; urgency=low

  * Give up on using run-in-target; it's too difficult to get useful $LANG
    handling when using it in conjunction with env.
  * Fix reversed logic for apt-setup/mirror seen flag.
  * Update Greek translation (thanks, Giorgos Logiotatidis).
  * Update Romanian translation (thanks, Ovidiu Damian).
  * Update Spanish translation (thanks, Enrique Matías Sánchez).
  * Add Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 17:45:22 +0100

base-config (2.62ubuntu20) hoary; urgency=low

  * apt 0.6.35 changed the capitalisation of 'Normal Packages:'. Cope with
    this.
  * Make sure that apt-cdrom output doesn't go to the terminal when a
    progress bar is in place.
  * Update Spanish translation (thanks, Enrique Matías Sánchez).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Mar 2005 15:00:06 +0100

base-config (2.62ubuntu19) hoary; urgency=low

  * Add base-config/language-pack-patterns template for preseeding, to allow
    the appropriate kde-i18n-* packages to be automatically installed for
    Kubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Mar 2005 00:14:49 +0100

base-config (2.62ubuntu18) hoary; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Maximilian Gerlach).
  * Update Hungarian translation (thanks, Gabor Burjan).
  * Update Norwegian Bokmål translation (thanks, Terance Edward Sola).
  * Update Polish translation (thanks, Emil Oppeln-Bronikowski).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 20:30:35 +0100

base-config (2.62ubuntu17) hoary; urgency=low

  * Add ku, lo, rm, si, tl, ur, and xh to base-config/language-packs
    choices.
  * Include $DIST-updates in sources.list by default.
  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Update German translation (thanks, Maximilian Gerlach).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 02:47:17 +0000

base-config (2.62ubuntu16) hoary; urgency=low

  * Simplify apt-setup menu item, finally getting rid of the old temporary
    file hack from warty.
  * Save the original sources.list before running apt-setup itself, and
    restore it if apt-setup fails (closes: Ubuntu #7993).
  * Put up a progress bar in apt-setup-udeb while preparing to run apt-setup
    (closes: Ubuntu #8023).
  * Stop apt-setup asking duplicate questions during the second stage of
    netboot installations.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 10:34:37 +0000

base-config (2.62ubuntu15) hoary; urgency=low

  * Copy base-config/* variables from the first stage (closes: Ubuntu
    #7953).
  * SUBSTing into a template's Default: is defined not to work, which broke
    per-location mirror defaults. Use SET instead.
  * Set DEBIAN_PRIORITY to the value of debconf/priority while running
    debconf in /target.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Mar 2005 18:21:10 +0000

base-config (2.62ubuntu14) hoary; urgency=low

  * Remove prebaseconfig script; it was broken and useless following the
    move of tzsetup to the passthrough mechanism.
  * Modify /target/etc/default/rcS rather than /etc/default/rcS in
    tzsetup-udeb.postinst.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Mar 2005 02:19:48 +0000

base-config (2.62ubuntu13) hoary; urgency=low

  * Correct temporary filename template used by tzsetup-udeb.
  * Add #! line to tzsetup-udeb temporary script standing in for
    debconf-copydb.
  * Set tzconfig/gmt's seen flag to true in /target, not in cdebconf, since
    the latter doesn't generally have that question registered.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Mar 2005 01:51:17 +0000

base-config (2.62ubuntu12) hoary; urgency=low

  * Use -- to separate tzsetup options from debconf options.
  * run-in-target uses debconf itself, so switch the order of run-in-target
    and env in target_debconf.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Mar 2005 10:08:02 +0000

base-config (2.62ubuntu11) hoary; urgency=low

  * Use passthrough mechanism to call tzsetup from tzsetup-udeb.
  * Use more efficient (though uglier - really needs debconf-copydb) means
    of copying information from cdebconf to debconf.
  * Use new run-in-target script from di-utils 1.08ubuntu7.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 17:43:31 +0000

base-config (2.62ubuntu10) hoary; urgency=low

  * Always set LANG to the value of debian-installer/locale when chrooting
    into /target.
  * Depend on target-base-system rather than base-installer, so that
    base-installer doesn't get pulled in on live CDs with tzsetup-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 13:04:36 +0000

base-config (2.62ubuntu9) hoary; urgency=low

  * Move final sources.list into place even if the desktop installation
    fails.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Mar 2005 18:16:48 +0000

base-config (2.62ubuntu8) hoary; urgency=low

  * Fix tzsetup when /usr/share/zoneinfo/list.tab is not present (Ubuntu
    #7328).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Mar 2005 16:39:43 +0000

base-config (2.62ubuntu7) hoary; urgency=low

  * Demote apt-setup/network-updates question to medium, so that it's only
    asked in expert mode (really closes: Ubuntu #6390).



=== debian/control ===
Source: base-config
Section: base
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 4.2), po-debconf, gettext (>= 0.13)
Standards-Version: 3.6.1.0

Package: base-config
Architecture: all
Depends: debconf (>= 1.4.42ubuntu3), apt, adduser, console-data (>= 2002.12.04dbs-16), console-tools, passwd (>= 20000902-6), bsdutils (>= 1:2.11l), debianutils (>= 1.6), gettext-base
Conflicts: tasksel (<< 2.00)
Description: Debian base system configurator
 This package handles setting up the Debian base system. It contains the
 configuration program you see when you install Debian for the first time
 and boot up your new Debian system.
 .
 It can be removed with no ill effects -- once your Debian system is
 installed, this package's only useful function is to allow you to
 reconfigure some things.

Package: tzsetup-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: all
Depends: cdebconf-udeb, di-utils (>= 1.08ubuntu7), target-base-system, os-prober, zoneinfo-udeb, rtc-modules
XB-Installer-Menu-Item: 70
Description: Configure timezone
 This package configures the installed system's timezone. (If this package
 isn't used, base-config will do the same job after the first reboot.)

Package: apt-setup-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: all
Depends: cdebconf-udeb, di-utils (>= 1.08ubuntu7), target-base-system
XB-Installer-Menu-Item: 72
Description: Configure apt
 This package configures the APT package manager in the installed system.
 (If this package isn't used, base-config will do the same job after the
 first reboot.)

=== debian/rules ===
--- 
+++ 
@@ -29,18 +29,25 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs usr/share/lintian/overrides
+
+	dh_installdirs -pbase-config usr/share/lintian/overrides
 	cp debian/lintian-override debian/base-config/usr/share/lintian/overrides/base-config
-	dh_install apt-setup tzsetup base-config termwrap validlocale usr/sbin/
-	dh_install Mirrors.masterlist usr/lib/base-config/
-	dh_install lib/* usr/lib/base-config/
+	dh_install -pbase-config apt-setup tzsetup base-config termwrap validlocale usr/sbin/
+	dh_install -pbase-config lib/* usr/lib/base-config/
+	(cat Mirrors.masterlist.ubuntu; ./ubuntu-country-mirrors.pl) > debian/base-config/usr/lib/base-config/Mirrors.masterlist
 	make -C po install prefix=`pwd`/debian/base-config
+
+	dh_installdirs -ptzsetup-udeb
+
+	dh_installdirs -papt-setup-udeb
 
 # Build architecture-dependent files here.
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdebconf
+	dh_installdebconf -pbase-config
+	dh_installdebconf -ptzsetup-udeb -- --encoding=utf8
+	dh_installdebconf -papt-setup-udeb -- --encoding=utf8
 
 	# Merge in all templates.
 	echo >> debian/base-config/DEBIAN/templates
@@ -53,13 +60,13 @@
 	dh_installinfo
 	dh_installchangelogs
 	dh_installlogrotate
-	dh_link
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 binary-indep: build install
